Show / Hide Table of Contents

# Class SignatureHelpRequest

##### Inheritance

System.Object
SignatureHelpRequest

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SignatureHelpRequest

### Fields

| Improve this Doc View Source

#### Type

##### Declaration

    public static readonly RequestType<TextDocumentPosition, SignatureHelp> Type

##### Field Value

Type | Description
--- | ---
RequestType<TextDocumentPosition, SignatureHelp> |